summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-04-23 06:11:09 +0100
committerLeah Rowe <leah@libreboot.org>2023-04-23 06:11:09 +0100
commit0c0d8fe89da36ac4d2e50afb93b1d398a4c2192b (patch)
treea994ce5b8d869fc68843ccf9632f93377d22bb3c
parent826d3685a1558dbf15b4ebcebc9635f8318a65b3 (diff)
build/release roms: scrub kbc1126 ec firmware
-rwxr-xr-xresources/scripts/build/release/roms13
1 files changed, 9 insertions, 4 deletions
diff --git a/resources/scripts/build/release/roms b/resources/scripts/build/release/roms
index 5802b4d..29d651b 100755
--- a/resources/scripts/build/release/roms
+++ b/resources/scripts/build/release/roms
@@ -3,7 +3,7 @@
#
# helper script: generate release archive (ROM images)
#
-# Copyright (C) 2020,2021,2022 Leah Rowe <info@minifree.org>
+# Copyright (C) 2020,2021,2022,2023 Leah Rowe <info@minifree.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -62,10 +62,11 @@ for romdir in bin/*; do
CONFIG_HAVE_MRC="y"
CONFIG_HAVE_ME_BIN="y"
+ CONFIG_KBC1126_FIRMWARE="y"
grep "CONFIG_HAVE_ME_BIN=y" "resources/coreboot/${target}/config/"* || CONFIG_HAVE_ME_BIN="n"
grep "CONFIG_HAVE_MRC=y" "resources/coreboot/${target}/config/"* || CONFIG_HAVE_MRC="n"
-
- # remove ME/MRC from ROM images
+ grep "CONFIG_KBC1126_FIRMWARE=y" "resources/coreboot/${target}/config"/* || CONFIG_KBC1126_FIRMWARE="n"
+ # remove ME/MRC/EC firmware from ROM images
if [ "${CONFIG_HAVE_ME_BIN}" = "y" ]; then
if [ ! -d coreboot/default ]; then
./download coreboot default || exit 1
@@ -112,7 +113,11 @@ for romdir in bin/*; do
${cbfstool} "${romfile}" remove -n mrc.bin || exit 1
${cbfstool} "${romfile}" print
fi
-
+
+ if [ "${CONFIG_KBC1126_FIRMWARE}" = "y" ]; then
+ ${cbfstool} "${romfile}" remove -n ecfw1.bin || exit 1
+ ${cbfstool} "${romfile}" remove -n ecfw2.bin || exit 1
+ fi
done
fi